# Generated by Django 3.2.7 on 2024-05-29 15:16

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('gaia_paysans', '0010_alter_produit_ferme'),
        ('gaia_distribs', '0014_remove_null'),
    ]

    operations = [
        migrations.AlterField(
            model_name='contrat',
            name='ferme',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='contrats', to='gaia_paysans.ferme'),
        ),
        migrations.AlterField(
            model_name='contrat',
            name='souscripteur',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='contrats', to='gaia_users.utilisateur'),
        ),
        migrations.AlterField(
            model_name='inscriptionadherent',
            name='utilisateur',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='inscriptions_distributions', to='gaia_users.utilisateur'),
        ),
    ]
